repos:
- repo: meta
  hooks:
    - id: check-hooks-apply
    - id: check-useless-excludes
- repo: https://github.com/asottile/seed-isort-config
  rev: v1.9.3
  hooks:
  - id: seed-isort-config
- repo: https://github.com/pre-commit/mirrors-isort
  rev: v4.3.21
  hooks:
  - id: isort
- repo: https://github.com/ambv/black
  rev: stable
  hooks:
  - id: black
    language_version: python3.6
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v2.3.0
  hooks:
    - id: flake8
# - repo: https://github.com/PyCQA/pydocstyle
#   rev: 5.0.2
#   hooks:
#   - id: pydocstyle
#     args: ["--convention=google"]
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v2.4.0
  hooks:
  - id: check-added-large-files
  - id: check-docstring-first
  - id: debug-statements
  - id: end-of-file-fixer
  - id: trailing-whitespace
  - id: check-ast
  - id: check-builtin-literals
  - id: detect-private-key
  - id: mixed-line-ending
  - id: name-tests-test
    args: ['--django']
